-- megafunction wizard: %Arria 10 Transceiver ATX PLL v13.1%
-- GENERATION: XML
-- transceiver_pll.vhd

-- Generated using ACDS version 13.1 346 at 2014.03.20.11:13:19

library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.numeric_std.all;

entity transceiver_pll is
	port (
		pll_powerdown   : in  std_logic := '0'; --   pll_powerdown.pll_powerdown
		pll_refclk0     : in  std_logic := '0'; --     pll_refclk0.clk
		pll_locked      : out std_logic;        --      pll_locked.pll_locked
		pll_cal_busy    : out std_logic;        --    pll_cal_busy.pll_cal_busy
		mcgb_rst        : in  std_logic := '0'; --        mcgb_rst.mcgb_rst
		mcgb_serial_clk : out std_logic         -- mcgb_serial_clk.clk
	);
end entity transceiver_pll;

architecture rtl of transceiver_pll is
	component altera_xcvr_atx_pll_a10 is
		generic (
			atx_pll_bonding_mode                                        : string  := "";
			atx_pll_cgb_div                                             : integer := 0;
			atx_pll_pma_width                                           : integer := 0;
			atx_pll_speed_grade                                         : string  := "";
			atx_pll_prot_mode                                           : string  := "";
			atx_pll_bw_sel                                              : string  := "";
			atx_pll_silicon_rev                                         : string  := "";
			atx_pll_fb_select                                           : string  := "";
			atx_pll_l_counter_enable                                    : string  := "";
			atx_pll_dsm_mode                                            : string  := "";
			atx_pll_output_clock_frequency                              : string  := "";
			atx_pll_reference_clock_frequency                           : string  := "";
			atx_pll_m_counter                                           : integer := 0;
			atx_pll_ref_clk_div                                         : integer := 0;
			atx_pll_l_counter                                           : integer := 0;
			atx_pll_dsm_fractional_division                             : integer := 0;
			atx_pll_hclk_divide                                         : integer := 0;
			atx_pll_tank_sel                                            : string  := "";
			atx_pll_tank_band                                           : string  := "";
			pma_lc_refclk_select_mux_silicon_rev                        : string  := "";
			pma_lc_refclk_select_mux_refclk_select                      : string  := "";
			atx_pll_lc_mode                                             : string  := "lccmu_normal";
			atx_pll_lc_atb                                              : string  := "atb_selectdisable";
			atx_pll_cp_compensation_enable                              : string  := "true";
			atx_pll_cp_current_setting                                  : string  := "cp_current_setting0";
			atx_pll_cp_testmode                                         : string  := "cp_normal";
			atx_pll_cp_lf_3rd_pole_freq                                 : string  := "lf_3rd_pole_setting0";
			atx_pll_cp_lf_4th_pole_freq                                 : string  := "lf_4th_pole_setting0";
			atx_pll_cp_lf_order                                         : string  := "lf_2nd_order";
			atx_pll_lf_resistance                                       : string  := "lf_setting0";
			atx_pll_lf_ripplecap                                        : string  := "lf_ripple_cap";
			atx_pll_d2a_voltage                                         : string  := "d2a_disable";
			atx_pll_dsm_out_sel                                         : string  := "pll_dsm_disable";
			atx_pll_dsm_ecn_bypass                                      : string  := "false";
			atx_pll_dsm_ecn_test_en                                     : string  := "false";
			atx_pll_dsm_fractional_value_ready                          : string  := "pll_k_ready";
			atx_pll_vco_bypass_enable                                   : string  := "false";
			atx_pll_cascadeclk_test                                     : string  := "cascadetest_off";
			atx_pll_tank_voltage_coarse                                 : string  := "vreg_setting_coarse1";
			atx_pll_tank_voltage_fine                                   : string  := "vreg_setting3";
			atx_pll_output_regulator_supply                             : string  := "vreg1v_setting1";
			atx_pll_overrange_voltage                                   : string  := "over_setting3";
			atx_pll_underrange_voltage                                  : string  := "under_setting3";
			atx_pll_vreg0_output                                        : string  := "vccdreg_nominal";
			atx_pll_vreg1_output                                        : string  := "vccdreg_nominal";
			atx_pll_is_cascaded_pll                                     : string  := "false";
			pma_lc_refclk_select_mux_inclk0_logical_to_physical_mapping : string  := "ref_iqclk0";
			pma_lc_refclk_select_mux_inclk1_logical_to_physical_mapping : string  := "ref_iqclk1";
			pma_lc_refclk_select_mux_inclk2_logical_to_physical_mapping : string  := "ref_iqclk2";
			pma_lc_refclk_select_mux_inclk3_logical_to_physical_mapping : string  := "ref_iqclk3";
			pma_lc_refclk_select_mux_inclk4_logical_to_physical_mapping : string  := "ref_iqclk4";
			enable_mcgb                                                 : integer := 0;
			enable_mcgb_debug_ports_parameters                          : integer := 0;
			pma_cgb_master_prot_mode                                    : string  := "";
			pma_cgb_master_silicon_rev                                  : string  := "";
			pma_cgb_master_x1_div_m_sel                                 : string  := "";
			pma_cgb_master_cgb_enable_iqtxrxclk                         : string  := "";
			pma_cgb_master_ser_mode                                     : string  := "";
			pma_cgb_master_data_rate                                    : string  := "";
			pma_cgb_master_cgb_power_down                               : string  := "normal_cgb";
			pma_cgb_master_master_cgb_clock_control                     : string  := "master_cgb_no_dft_control";
			pma_cgb_master_observe_cgb_clocks                           : string  := "observe_nothing";
			pma_cgb_master_op_mode                                      : string  := "enabled";
			pma_cgb_master_tx_ucontrol_reset_pcie                       : string  := "pcscorehip_controls_mcgb";
			pma_cgb_master_vccdreg_output                               : string  := "vccdreg_nominal";
			pma_cgb_master_input_select                                 : string  := "lcpll_top";
			pma_cgb_master_input_select_gen3                            : string  := "unused"
		);
		port (
			pll_powerdown         : in  std_logic                     := 'X';             -- pll_powerdown
			pll_refclk0           : in  std_logic                     := 'X';             -- clk
			pll_locked            : out std_logic;                                        -- pll_locked
			pll_cal_busy          : out std_logic;                                        -- pll_cal_busy
			mcgb_rst              : in  std_logic                     := 'X';             -- mcgb_rst
			mcgb_serial_clk       : out std_logic;                                        -- clk
			pll_refclk1           : in  std_logic                     := 'X';             -- clk
			pll_refclk2           : in  std_logic                     := 'X';             -- clk
			pll_refclk3           : in  std_logic                     := 'X';             -- clk
			pll_refclk4           : in  std_logic                     := 'X';             -- clk
			tx_serial_clk         : out std_logic;                                        -- clk
			tx_serial_clk_gt      : out std_logic;                                        -- clk
			pll_pcie_clk          : out std_logic;                                        -- pll_pcie_clk
			pll_cascade_clk       : out std_logic;                                        -- clk
			reconfig_clk0         : in  std_logic                     := 'X';             -- clk
			reconfig_reset0       : in  std_logic                     := 'X';             -- reset
			reconfig_write0       : in  std_logic                     := 'X';             -- write
			reconfig_read0        : in  std_logic                     := 'X';             -- read
			reconfig_address0     : in  std_logic_vector(9 downto 0)  := (others => 'X'); -- address
			reconfig_writedata0   : in  std_logic_vector(31 downto 0) := (others => 'X'); -- writedata
			reconfig_readdata0    : out std_logic_vector(31 downto 0);                    -- readdata
			reconfig_waitrequest0 : out std_logic;                                        -- waitrequest
			hip_cal_done          : out std_logic;                                        -- hip_cal_done
			clklow                : out std_logic;                                        -- debug
			fref                  : out std_logic;                                        -- debug
			overrange             : out std_logic;                                        -- debug
			underrange            : out std_logic;                                        -- debug
			mcgb_aux_clk0         : in  std_logic                     := 'X';             -- tx_serial_clk
			mcgb_aux_clk1         : in  std_logic                     := 'X';             -- tx_serial_clk
			mcgb_aux_clk2         : in  std_logic                     := 'X';             -- tx_serial_clk
			tx_bonding_clocks     : out std_logic_vector(5 downto 0);                     -- clk
			pcie_sw               : in  std_logic_vector(1 downto 0)  := (others => 'X'); -- pcie_sw
			pcie_sw_done          : out std_logic_vector(1 downto 0);                     -- pcie_sw_done
			reconfig_clk1         : in  std_logic                     := 'X';             -- clk
			reconfig_reset1       : in  std_logic                     := 'X';             -- reset
			reconfig_write1       : in  std_logic                     := 'X';             -- write
			reconfig_read1        : in  std_logic                     := 'X';             -- read
			reconfig_address1     : in  std_logic_vector(9 downto 0)  := (others => 'X'); -- address
			reconfig_writedata1   : in  std_logic_vector(31 downto 0) := (others => 'X'); -- writedata
			reconfig_readdata1    : out std_logic_vector(31 downto 0);                    -- readdata
			reconfig_waitrequest1 : out std_logic;                                        -- waitrequest
			mcgb_cal_busy         : out std_logic;                                        -- mcgb_cal_busy
			mcgb_hip_cal_done     : out std_logic                                         -- hip_cal_done
		);
	end component altera_xcvr_atx_pll_a10;

begin

	transceiver_pll_inst : component altera_xcvr_atx_pll_a10
		generic map (
			atx_pll_bonding_mode                                        => "cpri_bonding",
			atx_pll_cgb_div                                             => 1,
			atx_pll_pma_width                                           => 64,
			atx_pll_speed_grade                                         => "4",
			atx_pll_prot_mode                                           => "basic_tx",
			atx_pll_bw_sel                                              => "low",
			atx_pll_silicon_rev                                         => "reva",
			atx_pll_fb_select                                           => "direct_fb",
			atx_pll_l_counter_enable                                    => "true",
			atx_pll_dsm_mode                                            => "dsm_mode_integer",
			atx_pll_output_clock_frequency                              => "5156.25 MHz",
			atx_pll_reference_clock_frequency                           => "644.531250 MHz",
			atx_pll_m_counter                                           => 32,
			atx_pll_ref_clk_div                                         => 4,
			atx_pll_l_counter                                           => 2,
			atx_pll_dsm_fractional_division                             => 1,
			atx_pll_hclk_divide                                         => 1,
			atx_pll_tank_sel                                            => "lctank0",
			atx_pll_tank_band                                           => "lc_band6",
			pma_lc_refclk_select_mux_silicon_rev                        => "reva",
			pma_lc_refclk_select_mux_refclk_select                      => "ref_iqclk0",
			atx_pll_lc_mode                                             => "lccmu_normal",
			atx_pll_lc_atb                                              => "atb_selectdisable",
			atx_pll_cp_compensation_enable                              => "true",
			atx_pll_cp_current_setting                                  => "cp_current_setting0",
			atx_pll_cp_testmode                                         => "cp_normal",
			atx_pll_cp_lf_3rd_pole_freq                                 => "lf_3rd_pole_setting0",
			atx_pll_cp_lf_4th_pole_freq                                 => "lf_4th_pole_setting0",
			atx_pll_cp_lf_order                                         => "lf_2nd_order",
			atx_pll_lf_resistance                                       => "lf_setting0",
			atx_pll_lf_ripplecap                                        => "lf_ripple_cap",
			atx_pll_d2a_voltage                                         => "d2a_disable",
			atx_pll_dsm_out_sel                                         => "pll_dsm_disable",
			atx_pll_dsm_ecn_bypass                                      => "false",
			atx_pll_dsm_ecn_test_en                                     => "false",
			atx_pll_dsm_fractional_value_ready                          => "pll_k_ready",
			atx_pll_vco_bypass_enable                                   => "false",
			atx_pll_cascadeclk_test                                     => "cascadetest_off",
			atx_pll_tank_voltage_coarse                                 => "vreg_setting_coarse1",
			atx_pll_tank_voltage_fine                                   => "vreg_setting3",
			atx_pll_output_regulator_supply                             => "vreg1v_setting1",
			atx_pll_overrange_voltage                                   => "over_setting3",
			atx_pll_underrange_voltage                                  => "under_setting3",
			atx_pll_vreg0_output                                        => "vccdreg_nominal",
			atx_pll_vreg1_output                                        => "vccdreg_nominal",
			atx_pll_is_cascaded_pll                                     => "false",
			pma_lc_refclk_select_mux_inclk0_logical_to_physical_mapping => "ref_iqclk0",
			pma_lc_refclk_select_mux_inclk1_logical_to_physical_mapping => "ref_iqclk1",
			pma_lc_refclk_select_mux_inclk2_logical_to_physical_mapping => "ref_iqclk2",
			pma_lc_refclk_select_mux_inclk3_logical_to_physical_mapping => "ref_iqclk3",
			pma_lc_refclk_select_mux_inclk4_logical_to_physical_mapping => "ref_iqclk4",
			enable_mcgb                                                 => 1,
			enable_mcgb_debug_ports_parameters                          => 0,
			pma_cgb_master_prot_mode                                    => "basic_tx",
			pma_cgb_master_silicon_rev                                  => "reva",
			pma_cgb_master_x1_div_m_sel                                 => "divbypass",
			pma_cgb_master_cgb_enable_iqtxrxclk                         => "disable_iqtxrxclk",
			pma_cgb_master_ser_mode                                     => "sixty_four_bit",
			pma_cgb_master_data_rate                                    => "10312.5 Mbps",
			pma_cgb_master_cgb_power_down                               => "normal_cgb",
			pma_cgb_master_master_cgb_clock_control                     => "master_cgb_no_dft_control",
			pma_cgb_master_observe_cgb_clocks                           => "observe_nothing",
			pma_cgb_master_op_mode                                      => "enabled",
			pma_cgb_master_tx_ucontrol_reset_pcie                       => "pcscorehip_controls_mcgb",
			pma_cgb_master_vccdreg_output                               => "vccdreg_nominal",
			pma_cgb_master_input_select                                 => "lcpll_top",
			pma_cgb_master_input_select_gen3                            => "unused"
		)
		port map (
			pll_powerdown         => pll_powerdown,                      --   pll_powerdown.pll_powerdown
			pll_refclk0           => pll_refclk0,                        --     pll_refclk0.clk
			pll_locked            => pll_locked,                         --      pll_locked.pll_locked
			pll_cal_busy          => pll_cal_busy,                       --    pll_cal_busy.pll_cal_busy
			mcgb_rst              => mcgb_rst,                           --        mcgb_rst.mcgb_rst
			mcgb_serial_clk       => mcgb_serial_clk,                    -- mcgb_serial_clk.clk
			pll_refclk1           => '0',                                --     (terminated)
			pll_refclk2           => '0',                                --     (terminated)
			pll_refclk3           => '0',                                --     (terminated)
			pll_refclk4           => '0',                                --     (terminated)
			tx_serial_clk         => open,                               --     (terminated)
			tx_serial_clk_gt      => open,                               --     (terminated)
			pll_pcie_clk          => open,                               --     (terminated)
			pll_cascade_clk       => open,                               --     (terminated)
			reconfig_clk0         => '0',                                --     (terminated)
			reconfig_reset0       => '0',                                --     (terminated)
			reconfig_write0       => '0',                                --     (terminated)
			reconfig_read0        => '0',                                --     (terminated)
			reconfig_address0     => "0000000000",                       --     (terminated)
			reconfig_writedata0   => "00000000000000000000000000000000", --     (terminated)
			reconfig_readdata0    => open,                               --     (terminated)
			reconfig_waitrequest0 => open,                               --     (terminated)
			hip_cal_done          => open,                               --     (terminated)
			clklow                => open,                               --     (terminated)
			fref                  => open,                               --     (terminated)
			overrange             => open,                               --     (terminated)
			underrange            => open,                               --     (terminated)
			mcgb_aux_clk0         => '0',                                --     (terminated)
			mcgb_aux_clk1         => '0',                                --     (terminated)
			mcgb_aux_clk2         => '0',                                --     (terminated)
			tx_bonding_clocks     => open,                               --     (terminated)
			pcie_sw               => "00",                               --     (terminated)
			pcie_sw_done          => open,                               --     (terminated)
			reconfig_clk1         => '0',                                --     (terminated)
			reconfig_reset1       => '0',                                --     (terminated)
			reconfig_write1       => '0',                                --     (terminated)
			reconfig_read1        => '0',                                --     (terminated)
			reconfig_address1     => "0000000000",                       --     (terminated)
			reconfig_writedata1   => "00000000000000000000000000000000", --     (terminated)
			reconfig_readdata1    => open,                               --     (terminated)
			reconfig_waitrequest1 => open,                               --     (terminated)
			mcgb_cal_busy         => open,                               --     (terminated)
			mcgb_hip_cal_done     => open                                --     (terminated)
		);

end architecture rtl; -- of transceiver_pll
-- Retrieval info: <?xml version="1.0"?>
--<!--
--	Generated by Altera MegaWizard Launcher Utility version 1.0
--	************************************************************
--	THIS IS A WIZARD-GENERATED FILE. DO NOT EDIT THIS FILE!
--	************************************************************
--	Copyright (C) 1991-2014 Altera Corporation
--	Any megafunction design, and related net list (encrypted or decrypted),
--	support information, device programming or simulation file, and any other
--	associated documentation or information provided by Altera or a partner
--	under Altera's Megafunction Partnership Program may be used only to
--	program PLD devices (but not masked PLD devices) from Altera.  Any other
--	use of such megafunction design, net list, support information, device
--	programming or simulation file, or any other related documentation or
--	information is prohibited for any other purpose, including, but not
--	limited to modification, reverse engineering, de-compiling, or use with
--	any other silicon devices, unless such use is explicitly licensed under
--	a separate agreement with Altera or a megafunction partner.  Title to
--	the intellectual property, including patents, copyrights, trademarks,
--	trade secrets, or maskworks, embodied in any such megafunction design,
--	net list, support information, device programming or simulation file, or
--	any other related documentation or information provided by Altera or a
--	megafunction partner, remains with Altera, the megafunction partner, or
--	their respective licensors.  No other licenses, including any licenses
--	needed under any third party's intellectual property, are provided herein.
---->
-- Retrieval info: <instance entity-name="altera_xcvr_atx_pll_a10" version="13.1" >
-- Retrieval info: 	<generic name="rcfg_debug" value="0" />
-- Retrieval info: 	<generic name="enable_pll_reconfig" value="0" />
-- Retrieval info: 	<generic name="rcfg_file_prefix" value="altera_xcvr_atx_pll_a10" />
-- Retrieval info: 	<generic name="rcfg_sv_file_enable" value="0" />
-- Retrieval info: 	<generic name="rcfg_h_file_enable" value="0" />
-- Retrieval info: 	<generic name="rcfg_txt_file_enable" value="0" />
-- Retrieval info: 	<generic name="rcfg_mif_file_enable" value="0" />
-- Retrieval info: 	<generic name="rcfg_multi_enable" value="0" />
-- Retrieval info: 	<generic name="rcfg_profile_cnt" value="2" />
-- Retrieval info: 	<generic name="rcfg_profile_select" value="1" />
-- Retrieval info: 	<generic name="rcfg_param_vals1" value="" />
-- Retrieval info: 	<generic name="rcfg_param_vals2" value="" />
-- Retrieval info: 	<generic name="generate_docs" value="1" />
-- Retrieval info: 	<generic name="generate_add_hdl_instance_example" value="0" />
-- Retrieval info: 	<generic name="device_family" value="Arria 10" />
-- Retrieval info: 	<generic name="test_mode" value="0" />
-- Retrieval info: 	<generic name="enable_debug_ports_parameters" value="0" />
-- Retrieval info: 	<generic name="enable_pld_atx_cal_busy_port" value="1" />
-- Retrieval info: 	<generic name="support_mode" value="user_mode" />
-- Retrieval info: 	<generic name="message_level" value="error" />
-- Retrieval info: 	<generic name="speed_grade" value="fastest" />
-- Retrieval info: 	<generic name="prot_mode" value="Basic" />
-- Retrieval info: 	<generic name="bw_sel" value="low" />
-- Retrieval info: 	<generic name="refclk_cnt" value="1" />
-- Retrieval info: 	<generic name="refclk_index" value="0" />
-- Retrieval info: 	<generic name="silicon_rev" value="false" />
-- Retrieval info: 	<generic name="primary_pll_buffer" value="GX clock output buffer" />
-- Retrieval info: 	<generic name="enable_8G_path" value="0" />
-- Retrieval info: 	<generic name="enable_16G_path" value="0" />
-- Retrieval info: 	<generic name="enable_pcie_clk" value="0" />
-- Retrieval info: 	<generic name="enable_cascade_out" value="0" />
-- Retrieval info: 	<generic name="enable_hip_cal_done_port" value="0" />
-- Retrieval info: 	<generic name="select_manual_config" value="0" />
-- Retrieval info: 	<generic name="enable_fractional" value="false" />
-- Retrieval info: 	<generic name="set_output_clock_frequency" value="5156.25" />
-- Retrieval info: 	<generic name="set_auto_reference_clock_frequency" value="644.53125" />
-- Retrieval info: 	<generic name="set_manual_reference_clock_frequency" value="100.0" />
-- Retrieval info: 	<generic name="set_m_counter" value="1" />
-- Retrieval info: 	<generic name="set_ref_clk_div" value="1" />
-- Retrieval info: 	<generic name="set_l_counter" value="2" />
-- Retrieval info: 	<generic name="set_k_counter" value="1" />
-- Retrieval info: 	<generic name="enable_mcgb" value="1" />
-- Retrieval info: 	<generic name="mcgb_div" value="1" />
-- Retrieval info: 	<generic name="enable_hfreq_clk" value="1" />
-- Retrieval info: 	<generic name="enable_mcgb_pcie_clksw" value="0" />
-- Retrieval info: 	<generic name="mcgb_aux_clkin_cnt" value="0" />
-- Retrieval info: 	<generic name="enable_bonding_clks" value="0" />
-- Retrieval info: 	<generic name="enable_fb_comp_bonding" value="0" />
-- Retrieval info: 	<generic name="pma_width" value="64" />
-- Retrieval info: 	<generic name="enable_pld_mcgb_cal_busy_port" value="0" />
-- Retrieval info: 	<generic name="AUTO_PLL_REFCLK0_CLOCK_RATE" value="-1" />
-- Retrieval info: 	<generic name="AUTO_PLL_REFCLK1_CLOCK_RATE" value="-1" />
-- Retrieval info: 	<generic name="AUTO_PLL_REFCLK2_CLOCK_RATE" value="-1" />
-- Retrieval info: 	<generic name="AUTO_PLL_REFCLK3_CLOCK_RATE" value="-1" />
-- Retrieval info: 	<generic name="AUTO_PLL_REFCLK4_CLOCK_RATE" value="-1" />
-- Retrieval info: 	<generic name="AUTO_RECONFIG_CLK0_CLOCK_RATE" value="-1" />
-- Retrieval info: 	<generic name="AUTO_RECONFIG_CLK1_CLOCK_RATE" value="-1" />
-- Retrieval info: </instance>
-- IPFS_FILES : transceiver_pll.vho
-- RELATED_FILES: transceiver_pll.vhd, twentynm_xcvr_avmm.sv, alt_xcvr_resync.sv, altera_xcvr_atx_pll_a10.sv, a10_xcvr_atx_pll.sv
